GuideLab API

Delete an implant system

Soft-delete an implant system by setting it inactive.

DELETE
/implant-systems/{id}

Soft-delete an implant system by setting it inactive.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X DELETE "https://example.com/implant-systems/550e8400-e29b-41d4-a716-446655440000"
{  "system": {    "id": "string",    "labId": "string",    "name": "string",    "manufacturer": "string",    "description": "string",    "isDefault": true,    "isActive": true,    "sortOrder": 0,    "platforms": [      {        "code": "string",        "label": "string",        "diameter": "string",        "isActive": true      }    ],    "createdAt": "string",    "updatedAt": "string"  },  "message": "string"}
Empty
Empty
Empty
Empty